{% extends "base.html" %} {% load static %} {% block stylesheet %}
<link href="{% static 'css/plugins/footable/footable.core.css' %}" rel="stylesheet">
<link href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.css" rel="stylesheet">
<link href="{% static 'css/timeline.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">
<link href="{% static 'css/ios.css' %}" rel="stylesheet"> {% endblock stylesheet %} {% block title %}
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
<link rel="stylesheet" type="text/css" href="{% static 'css/select2.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2-bootstrap.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/pmd-select2.css' %}">
<h1>Panel de Configuraciones</h1>
<ol class="breadcrumb">
    <li>
        <a style="cursor: default; color: white;">Dashboard</a>
    </li>
    <li>
        <a style="cursor: default; color: white;">Configuración</a>
    </li>
    <li class="active">Panel de Configuraciones</li>
</ol>{% endblock title %} {% block content %}
<div class="card-body">
    <ul class="nav nav-pills nav-pills-primary" role="tablist">
        <li class="active">
            <a href="#pillnav1" role="tab" data-toggle="tab">
                <i class="zmdi zmdi-settings"></i> Configuración
            </a>
        </li>
        <li>
            <a href="#pillnav2" role="tab" data-toggle="tab">
                <i class="zmdi zmdi-eye"></i> Ver Glosa
            </a>
        </li>
        <li>
            <a href="#pillnav3" role="tab" data-toggle="tab" disabled>
                <i class="zmdi zmdi-settings"></i> Configuración del perfíl
            </a>
        </li>
    </ul>
    <div id="pillContent1" class="tab-content m-t-15">
        <div class="tab-pane fade active in" id="pillnav1">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="card card-data-tables product-table-wrapper">
                        <header class="card-heading card-blue text-center">
                            <h2 class="card-title">Crear Nueva Glosa</h2>
                        </header>
                        <div class="card-body">
                            <form action="" class="" id="form-horizontal">
                                <div class="row">
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <label for="carrera" class="control-label">Carrera:</label>
                                            <select id="carrera" class="select form-control" data-rule-required="true" aria-required="true">
                                                <option value="0">Seleccione una Opción</option>
                                                {% for carreer in glosa_carreers %}
                                                <option value="{{carreer.0}}">{{carreer.1}} </option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <label for="descripcion" class="control-label">Descripción:</label>
                                            <div id="description"></div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-footer border-top">
                            <ul class="card-actions text-center" style="padding-left: 0px;">
                                <li>
                                    <a id="submit" class="btn btn-block btn-default btn-success">
                                        Aceptar
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="pillnav2">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="card card-data-tables product-table-wrapper">
                        <header class="card-heading card-blue text-center">
                            <h2 class="card-title">Listado de Glosa</h2>
                            <div class="card-search">
                                <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                                    <i class="zmdi zmdi-search search-icon-left"></i>
                                    <input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
                                    <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
                                        <i class="zmdi zmdi-close"></i>
                                    </a>
                                </div>
                            </div>
                            <ul class="card-actions icons right-top">
                                <li id="deleteItems" style="display: none;">
                                    <span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
                                    <a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
                                        <i class="zmdi zmdi-delete"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
                                        <i class="zmdi zmdi-search"></i>
                                    </a>
                                </li>
                                <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
                                    <a href="javascript:void(0)" data-toggle="dropdown">
                                        <i class="zmdi zmdi-more-vert"></i>
                                    </a>
                                    <div id="dataTablesLength">
                                    </div>
                                </li>
                            </ul>
                        </header>
                        <div class="card-body p-0">
                            <div class="table-responsive">
                                <table id="ver_glosa" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th class="col-sm-3">Carrera</th>
                                            <th class="col-sm-2">Autor</th>
                                            <th class="col-sm-3">Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {% for glosa in glosas %}
                                        <tr>
                                            <td>
                                                <span id="carreer_name" valueid="glosa_{{glosa.0.pk}}">{{glosa.1}}</span>
                                            </td>
                                            <td>
                                                <span id="author_name">{{glosa.0.author.name}}</span>
                                            </td>
                                            <td>
                                                <div class="col-md-3 col-sm-3 col-xs-3">
                                                    <button class="get_glosa btn btn-default btn-fab btn-fab-sm">
                                                        <i class="zmdi zmdi-eye"></i>
                                                    </button>
                                                </div>
                                                <div class="col-md-3 col-sm-3 col-xs-3">
                                                    <button class="edit_glosa btn btn-default btn-fab btn-fab-sm">
                                                        <i class="zmdi zmdi-edit"></i>
                                                    </button>
                                                </div>
                                                <div class="col-md-3 col-sm-3 col-xs-3">
                                                    <button class="delete_glosa btn btn-default btn-fab btn-fab-sm">
                                                        <i class="zmdi zmdi-delete"></i>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                        {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="col-sm-4 col-md-4">
    <div class="card">
        <header class="card-heading card-blue text-center">
            <h2 class="card-title">Agregar Inicio de Sesiones</h2>
            <ul class="card-actions icons right-top">
                <li>
                    <a href="javascript:void(0)" data-toggle-view="code">
                        <i class="zmdi zmdi-code"></i>
                    </a>
                </li>
            </ul>
        </header>
        <div class="card-body">
            <div class="form-group">
                <label for="carrera" class="control-label">Carrera:</label>
                <select id="carrera1" class="select form-control" data-rule-required="true" aria-required="true">
                    <option value="0">Seleccione una Opción</option>
                    {% for carreer in inicio_carreers %}
                    <option value="{{carreer.career_pk}}" class="carreras">{{carreer.name}}</option>
                    {% endfor %}
                </select>
            </div>
            <div class="form-group">
                <label for="periodo" class="control-label">Período:</label>
                <select id="periodo" class="select-with-search pmd-select2 pmd-select2-tags pmd-textfield-floating-label pmd-textfield form-control form-control" data-rule-required="true" aria-required="true">
                    <option>Elija un período ...</option>
                    {% for periodo in periods %}
                    <option value="{{periodo.0}}">{{periodo.1}}</option>
                    {% endfor %}
                </select>
            </div>
            <div class="form-group is-empty">
                <div class="input-group">
                    <span class="input-group-addon">
                        <i class="zmdi zmdi-calendar"></i>
                    </span>
                    <input type="text" class="form-control datepicker" id="md_input_date" type="date" placeholder="Date Picker">
                </div>
            </div>
        </div>
        <div class="card-footer border-top">
            <ul class="card-actions text-center" style="padding-left: 0px;">
                <li>
                    <a id="submit1" class="btn btn-block btn-default btn-success">
                        Aceptar
                    </a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div class="col-sm-8 col-md-8">
    <div class="card card-data-tables product-table-wrapper">
        <header class="card-heading card-blue text-center">
            <h2 class="card-title">Fechas Registradas</h2>
            <div class="card-search">
                <div class="form-group label-floating is-empty">
                    <i class="zmdi zmdi-search search-icon-left"></i>
                    <input type="text" class="form-control filter-input" placeholder="Filtrar Carreras" autocomplete="off">
                    <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
                        <i class="zmdi zmdi-close"></i>
                    </a>
                </div>
            </div>
            <ul class="card-actions icons right-top">
                <li id="deleteItems" style="display: none;">
                    <span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
                    <a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
                        <i class="zmdi zmdi-delete"></i>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
                        <i class="zmdi zmdi-search"></i>
                    </a>
                </li>
                <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
                    <a href="javascript:void(0)" data-toggle="dropdown">
                        <i class="zmdi zmdi-more-vert"></i>
                    </a>
                    <div id="dataTablesLength">
                    </div>
                </li>
            </ul>
        </header>
        <div class="card-body p-0">
            <div class="table-responsive">
                <table id="fechas" class="table mdl-data-table m-t-30" cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th class="col-sm-2">Carrera</th>
                            <th class="col-sm-2">Periodo</th>
                            <th data-orderable="false" class="col-sm-2">Inicio de clases</th>
                            <th data-orderable="false" class="col-sm-2">Última modificación</th>
                            <th data-orderable="false" class="col-sm-2">Editar</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for session in sessions %}
                        <tr>
                            <td>{{session.1}}</td>
                            <td>{{session.3}}</td>
                            <td>{{session.0.beginning}}</td>
                            <td>{{session.0.last_mod}}</td>
                            <td><a class="btn btn-info btn-fab btn-fab-sm" data-toggle="modal" data-target="#sessionModal" data-session="{{ session.0.pk }}"><i class="zmdi zmdi-edit"></i></a></td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="basic_modal" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel-2">Editar Glosa</h4>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="modal-body">
                <div id="propose" class="col-sm-12 col-sm-12">
                    <div class="card">
                        <header class="card-heading card-default">
                            <h2 class="card-title">Glosa</h2>
                        </header>
                        <div class="card-body">
                            <form action="" class="" id="form-horizontal">
                                <div class="row">
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group">
                                            <label for="carrera" class="control-label">Carrera:</label>
                                            <select id="carrera" class="select form-control" disabled data-rule-required="true" aria-required="true">
                                                <option>Elija una carrera ...</option>
                                                {% for carreer in glosa_carreers %}
                                                <option value="{{carreer.0}}">{{carreer.1}}</option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <label for="descripcion">Descripcion: </label>
                                            <textarea rows=4 class="form-control" data-rule-required="true" aria-required="true" name="" id="descripcion"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-footer border-top">
                            <ul class="card-actions text-center" style="padding-left: 0px;">
                                <li id="new_glosa">
                                    <a id="submit" class="btn btn-block btn-default btn-success">
                                        Aceptar
                                    </a>
                                </li>
                                <li id="update_glosa" style="display:none">
                                    <a id="update" valueid="" class="btn btn-block btn-default btn-warning">
                                        Actualizar
                                    </a>
                                    <a id="cancel_update" class="btn btn-block btn-default btn-danger">
                                        Cancelar
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <!-- <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary">Ok</button> -->
            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="basic_modal2" tabindex="-1" role="dialog" aria-labelledby="basic_modal2">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel-2">Glosa</h4>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="modal-body">
                <div id="propose" class="col-sm-12 col-sm-12">
                    <div class="card">
                        <header class="card-heading card-default">
                            <h2 class="card-title">Glosa</h2>
                        </header>
                        <div class="card-body">
                            <form action="" class="" id="form-horizontal">
                                <div class="row">
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group" id="carrera_get">
                                        </div>
                                        <div id="autor_get" class="form-group">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group" id="descripcion_get">

                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-footer border-top">
                            <ul class="card-actions text-center" style="padding-left: 0px;">
                                <!-- <li id="new_glosa">
                                    <a id="submit" class="btn btn-block btn-default btn-success">
                                        Aceptar
                                    </a>
                                </li> -->
                                <!-- <li id="update_glosa" style="display:none">
                                    <a id="update" valueid="" class="btn btn-block btn-default btn-warning">
                                        Actualizar
                                    </a>
                                    <a id="cancel_update" class="btn btn-block btn-default btn-danger">
                                        Cancelar
                                    </a>
                                </li> -->
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <!-- <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary">Ok</button> -->
            </div>

        </div>
    </div>
</div>

<style>
.datepicker{z-index:10000 !important;}
</style>


<div class="modal fade" id="sessionModal" tabindex="-1" role=" dialog" aria-labelledby="basic_modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel-2">Editar Sesión</h4>
                <ul class="card-actions icons right-top">
                    <li>
                        <a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="modal-body">
                <div id="propose" class="col-sm-12 col-sm-12">
                    <div class="card">
                        <header class="card-heading card-default">
                            <h2 class="card-title">Sesión</h2>
                        </header>
                        <div class="card-body">
                            <form action="" class="" id="form-horizontal">
                                <div class="row">
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group">
                                            <label for="carrera" class="control-label">Carrera:</label>
                                            <select id="edit_Scarreer" class="select form-control" disabled data-rule-required="true" aria-required="true">
                                                <option>Elija una carrera ...</option>
                                                {% for carreer in inicio_carreers %}
                                                <option value="{{carreer.0}}">{{carreer.1}}</option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12 col-md-12">
                                        <div class="form-group is-empty">
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="zmdi zmdi-calendar"></i>
                                                </span>
                                                <input type="text" class="form-control datepicker" id="edit_Sbeginning" type="date" placeholder="Date_Picker">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-footer border-top">
                            <div class="col-md-6">
                                <button id="edit_session" class="btn btn-primary btn-block"><i class="fa fa-save"></i> Guardar Cambios</button>
                            </div>
                            <div class="col-md-6">
                                <button type="button" class="btn btn-block btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
            </div>
        </div>
    </div>
</div>




{% endblock content %}

{% block javascript %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.js"></script>
<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>
<script src="{% static 'js/select2.full.js' %}"></script>
<script src="{% static 'js/pmd-select2.js' %}"></script>

<script>

    $(document).ready(function () {
        $(".carreras").each(function(){
            var html = $(this).html();
            html = html.replace("\u00ed",'í');
            console.log(html);
            console.log($(this).val());
        });
        $("#periodo").select2();
        $("#fechas").DataTable({
			"aaSorting": [[0, 'asc']],
			destroy: true,
			searching: true
		});
        $('#description').summernote();
        $('.chosen-select').chosen({ width: "100%" });

        $("#myInput").on("keyup", function () {
            var value = $(this).val().toLowerCase();
            $("#my tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });

    $(document).on("click", "#submit1", function () {
        var carrera = $("#carrera1").val();
        var date = $("#md_input_date").val();
        var period = $("#periodo").val();
        if ($("#carrera1").val() == "0") {
            swal({
                title: "Error al procesar!",
                text: "Debe seleccionar una carrera! Intentelo nuevamente.",
                type: "warning",
                confirmButtonText: "Volver",
            });
        } else {
            data = {
                carrera: carrera,
                date: date,
                period:period,
                csrfmiddlewaretoken: '{{ csrf_token }}',
            }
            console.log(data);
            $.ajax({
                type: "post",
                url: "{% url 'upload_date' %}",
                data: data,
                success: function (response) {
                    var date = $("#md_input_date").val("");
                    var carrera = $("#carrera1").val("");
                    if (response.mensaje == "Exito"){
                        swal("Exito!", "Fecha Guardada!", "success")
                            .then((value) => {
                                window.location.reload();
                            });
                    } else {
                        swal("Error!",response.mensaje,'warning')
                    }
                },
                error: function () {
                },
            })
        };
    });

    $(document).on("click", "#submit", function () {
        var carrera = $("#carrera").val();
        var descripcion = $('#description').summernote("code").replace(/<\/?[^>]+(>|$)/g, "");

        // console.log("desc: " + descripcion);

        if ($("#carrera").val() == "0") {
            swal({
                title: "Error al procesar!",
                text: "Verifique los Campos! Intentelo nuevamente.",
                type: "warning",
                confirmButtonText: "Volver",
            });
        } else {
            data = {
                carrera: carrera,
                descripcion: descripcion,
                csrfmiddlewaretoken: '{{ csrf_token }}',
            }
            $.ajax({
                type: "post",
                url: "{% url 'save_glosa' %}",
                data: data,
                success: function (response) {
                    var descripcion = $("#description").val("");
                    var carrera = $("#carrera").val("");
                    swal("Exito!", "Glosa Guardada!", "success")
                        .then((value) => {
                            window.location.reload();
                        });
                },
                error: function () {
                    //SWEETALERT
                },
            })
        };
    });

    $(document).on('click', '#cancel_update', function () {
        window.location.reload();
    });

    $(document).on("click", "#update", function () {
        $("#form-horizontal").validate({
            rules: {
                descripcion: {
                    required: true,
                    minlength: 200,
                    maxlength: 1300,
                },
            },
            messages: {

                descripcion: {
                    required: "Campo necesario.",
                    minlength: jQuery.validator.format("Al menos {0} caracteres!"),
                    maxlength: jQuery.validator.format("Como máximo {0} caracteres!"),
                },
            }
        });
        if ($("#form-horizontal").valid()) {
            var descripcion = $("#descripcion").val();
            console.log(descripcion);

            var data = {
                info: $(this).attr('valueid'),
                csrfmiddlewaretoken: '{{ csrf_token }}',
                descripcion: descripcion,
            }

            $.ajax({
                type: "POST",
                url: "{% url 'update_glosa' %}",
                data: data,
                success: function (response) {
                    var descripcion = $("#descripcion").val("");
                    swal("Éxito!", "Propuesta actualizada!", "success")
                        .then((value) => {
                            window.location.reload();
                        });
                },
                error: function () {
                    //SWEETALERT
                },
            })
        } else {
            swal("Algo salió mal!", "Verifíca los campos!", "error");
        }


    });

    $("#sessionModal").on('show.bs.modal', function(event){
        var button = $(event.relatedTarget);
        var pk_session = button.data('session');
        console.log("holas");
        data = {
            csrfmiddlewaretoken: "{{ csrf_token }}",
            pk: pk_session,
        };

        $.post("{% url 'get_session' %}", data, function(response){
            //campos para rellenar con data
            $("#edit_Scarreer").val(response.carreer).trigger('change'),
            $("#edit_Sbeginning").val(response.beginning)
        });

        $('#edit_session').data('session', pk_session);
    });

    $("#edit_session").on('click', function(){
        var pk_session = $(this).data("session");

        $.ajax({
            type: 'POST',
            url: "{% url 'edit_session' %}",
            data: {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                pk: pk_session,
                carreer: $("#edit_Scarreer").val(),
                beginning: $("#edit_Sbeginning").val(),
            },

            success: function(result){
                swal("Éxito!", "La sesión se ha actualizado correctamente.", "success");
            },
            error: function(){
                swal("Error!", "Contacte con su administrador.","warning");
            }

        });
    });


    $(document).on('click', '.edit_glosa', function(){
        var fila = $(this).closest('tr');

        $.ajax({
            type: "POST",
            url: "{% url 'edit_glosa' %}",
            data: {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                info: fila.find('#carreer_name').attr('valueid'),
            },

            success: function(result){
                $('#basic_modal').modal('show');
                $('#update').attr('valueid', fila.find('#carreer_name').attr('valueid'));
                $('#carrera').val(result.data.carreer).trigger('change');
                $('#descripcion').val(result.data.description);
                // console.log(result.data.description)
                // console.log(result.data.carreer)


                var element_top = $('#propose').offset().top;
                $("html, body").animate({ scrollTop: (element_top - 70) }, 1000);
                $('#new_glosa').hide();
                $('#update_glosa').show();

            },
            error: function () {
                swal("Error", "Ocurrió un error al intentar realizar la operación, inténtelo más tarde.", "error");
            },
        });

    });

    $(document).on('click', '.get_glosa', function(){
        var fila = $(this).closest('tr');
        $.ajax({
            type: "POST",
            url: "{% url 'get_glosa' %}",
            data: {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                info: fila.find('#carreer_name').attr('valueid'),
            },

            success: function(response){
                $('#basic_modal2').modal('show');
                $('#carrera_get').html("<label>Carrera: </label><p>" + response.data.carrera + "</p>");
                $('#descripcion_get').html("<label>Descripción: </label><p>" + response.data.descripcion + "</p>");
                $('#autor_get').html("<label>Autor: </label><p>" + response.data.autor + "</p>");
            },
            error: function(){
                swal("Error","Ocurrió un error al intentar realizar la operacioón, intentelo más tarde.", "error");
            }
        })
    });


    $(document).on('click', '.delete_glosa', function () {
        var fila = $(this).closest('tr');
        console.log(fila);
        swal({
            title: 'Eliminar Glosa',
            text: 'Esta acción eliminará la glosa "' + fila.find('#carreer_name').text().trim() + '", ¿Desea continuar?',
            icon: 'warning',
            buttons: {
                cancel: "Cancelar",
                confirm: "Eliminar"
            },
            dangerMode: true,
        }, ).then((isConfirm) => {
            if (isConfirm) {
                $.ajax({
                    type: "POST",
                    url: "{% url 'delete_glosa' %}",
                    data: {
                        csrfmiddlewaretoken: '{{ csrf_token }}',
                        info: fila.find('#carreer_name').attr('valueid'),
                    },


                    success: function (result) {

                        swal(result.data.title, result.data.message, result.data.type)
                            .then((value) => {
                                window.location.reload();
                            });
                    },
                    error: function () {
                        swal("Error", "Ocurrió un error al intentar realizar la operación, inténtelo más tarde.", "error");
                    },
                });
            }
        });
    });
</script> {% endblock javascript %}
